## org.apache.aries.subsystem.core.internal
Class SubsystemServiceRegistrar

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemServiceRegistrar

    public class SubsystemServiceRegistrar

extends Object

Constructor Summary
`SubsystemServiceRegistrar(org.osgi.framework.BundleContext context)`

Method Summary
`void` `addRegion(BasicSubsystem subsystem, org.eclipse.equinox.region.Region region)`
`org.osgi.service.subsystem.Subsystem` `getSubsystemService(BasicSubsystem subsystem)`
`void` `register(BasicSubsystem child, BasicSubsystem parent)`
`void` `removeRegion(BasicSubsystem subsystem, org.eclipse.equinox.region.Region region)`
`void` `unregister(org.osgi.service.subsystem.Subsystem subsystem)`
`void` `unregisterAll()`
`void` `update(BasicSubsystem subsystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemServiceRegistrar

    public SubsystemServiceRegistrar(org.osgi.framework.BundleContext context)

Method Detail

### addRegion

    public void addRegion(BasicSubsystem subsystem,
                          org.eclipse.equinox.region.Region region)

### getSubsystemService

    public org.osgi.service.subsystem.Subsystem getSubsystemService(BasicSubsystem subsystem)

### register

    public void register(BasicSubsystem child,
                         BasicSubsystem parent)

### removeRegion

    public void removeRegion(BasicSubsystem subsystem,
                             org.eclipse.equinox.region.Region region)

### unregister

    public void unregister(org.osgi.service.subsystem.Subsystem subsystem)

### unregisterAll

    public void unregisterAll()

### update

    public void update(BasicSubsystem subsystem)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.